/**
 * Theme Name:     Twenty Twenty-Five Child
 * Author:         the WordPress team
 * Template:       twentytwentyfive
 * Text Domain:	   twenty-twenty-five-child
 * Description:    Twenty Twenty-Five emphasizes simplicity and adaptability. It offers flexible design options, supported by a variety of patterns for different page types, such as services and landing pages, making it ideal for building personal blogs, professional portfolios, online magazines, or business websites. Its templates cater to various blog styles, from text-focused to image-heavy layouts. Additionally, it supports international typography and diverse color palettes, ensuring accessibility and customization for users worldwide.
 */
/* Sidebar RL251030 */

body:not(.logged-in) {
	animation-name: pageappear;
	animation-duration: 0.8s;
	animation-delay: 0.3s;
	opacity: 0.01; /* > 0 - Lighthouse error */
	animation-fill-mode: forwards;
}
@keyframes pageappear {
	from { opacity: 0.01; }
	to { opacity: 1; }
}
/* Hyphenation RL250427 */
p, div, h2, h3, h4, h5, h6, li { hyphens: auto; hyphenate-limit-chars: 9 3 4; }
h1, h2, h3, h4, h5, h6 { text-wrap: balance; }

body { font-family: "Noto Sans", sans-serif; }

/*** Navigation ***/
/* Off Canvas */
.wp-block-navigation__responsive-container a.wp-block-navigation-item__content { text-align: center; }
/* Footer */
:root :where(.wp-block-columns-is-layout-flex) { column-gap: var(--wp--preset--spacing--50); }

/*** Elements ***/
/* Sidebar */
aside.sidebar {
	position: fixed;
	right: 2rem;
	top: auto;
	padding: 0 1rem;
	max-width: 16rem;
	background: white;
	border: 3px solid var(--wp--preset--color--accent-1);
	z-index: 1;
}
.wp-block-heading { scroll-margin-top: 1rem; }

:root :where(.wp-block-file a:not(.wp-element-button) ) { padding-left: 0; }

h3 {
	margin-top: 2rem;
	margin-block-start: 2rem !important;
}
-link {
	pointer-events: none !important;
	text-decoration: none;
}
main a, a:hover, span.wp-block-navigation-item__label {
	text-decoration-color: var(--wp--preset--color--accent-1) !important;
	text-decoration-thickness: 2px !important;
}
main a { text-decoration-thickness: 2px !important; }
.current-menu-item, a.current-menu-ancestor {
	text-decoration: underline;
	text-decoration-color: var(--wp--preset--color--accent-1) !important;
	text-decoration-thickness: 2px !important;
}
.hometitle { font-size: clamp(1.481rem, -0.247rem + 8.64vw, 3.625rem) !important; }
ol.wp-block-list { padding-inline-start: 1.5rem; }
footer .wp-block-site-title :where(a) { color: #888; }

.page-id-423 {
	p, li { font-size: clamp(1rem, 1rem + ((1vw - 0.2rem) * 0.392), 1.125rem) }
}
.wp-block-heading { margin-top: 1em; }
.wp-block-query h2 { font-size: var(--wp--preset--font-size--large); }

	/*** Utilities ***/
.max-width-1024 { max-width: 1024px; }
.max-width-1200 { max-width: 1200px; }
.center-margin { margin: 0 auto; }
.center-text { text-align: center; }

/*** Media Queries ***/
@media (max-width: 599px) {
	.wp-block-navigation ul, .wp-block-navigation ul * { width: 100%; }
}
@media (max-width: 1300px) {
	/*main { margin-right: 19rem; } warum??? */
}
@media (min-width: 1600px) {
	aside.sidebar { max-width: 22rem; }
}
@media (max-width: 900px) {
	main { margin-right: 0; }
	aside.sidebar {
		position: sticky;
		width: 100%;
		right: auto;
		top: 0;
		max-width: calc(100% - 2rem);
	}
	.wp-block-heading { scroll-margin-top: 13rem; }
}